Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.diagnostician
Class PackageValidatorWrapper

    java.lang.Object
      org.eclipse.emf.ecp.internal.diagnostician.PackageValidatorWrapper

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class PackageValidatorWrapper

extends Object
implements org.eclipse.emf.ecore.EValidator

Wrapper for `ECPValidator`s that validate different `EClass`es from the same `EPackage`.

Author:
  jfaltermeier

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`PackageValidatorWrapper(Map<org.eclipse.emf.ecore.EClassifier,ECPValidator> classifierToValidatorMap)` Constructor.

Method Summary
`boolean` | `validate(org.eclipse.emf.ecore.EClass eClass, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validate(org.eclipse.emf.ecore.EDataType eDataType, Object value, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validate(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageValidatorWrapper

    public PackageValidatorWrapper(Map<org.eclipse.emf.ecore.EClassifier,ECPValidator> classifierToValidatorMap)

  Constructor.

  Parameters:
    `classifierToValidatorMap` - map from Classifier to its validator

Method Detail

### validate

    public boolean validate(org.eclipse.emf.ecore.EObject eObject,
                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  Specified by:
    `validate` in interface `org.eclipse.emf.ecore.EValidator`
  See Also:
    `EValidator.validate(org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### validate

    public boolean validate(org.eclipse.emf.ecore.EClass eClass,
                            org.eclipse.emf.ecore.EObject eObject,
                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  Specified by:
    `validate` in interface `org.eclipse.emf.ecore.EValidator`
  See Also:
    `EValidator.validate(org.eclipse.emf.ecore.EClass, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### validate

    public boolean validate(org.eclipse.emf.ecore.EDataType eDataType,
                            Object value,
                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                            Map<Object,Object> context)

  Specified by:
    `validate` in interface `org.eclipse.emf.ecore.EValidator`
  See Also:
    `EValidator.validate(org.eclipse.emf.ecore.EDataType, java.lang.Object, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.